import 'package:wolf_3d_dart/wolf_3d_data_types.dart';
import 'package:wolf_3d_dart/wolf_3d_engine.dart';

class CliSilentAudio implements EngineAudio {
  @override
  WolfensteinData? activeGame;

  @override
  Future<void> init() async {
    // No-op for CLI
  }

  @override
  void playMenuMusic() {}

  @override
  void playLevelMusic(WolfLevel level) {
    // Optional: Print a log so you know it's working!
    // print("🎵 Playing music for: ${level.name} 🎵");
  }

  @override
  void stopMusic() {}

  @override
  void playSoundEffect(int sfxId) {
    // Optional: You could use the terminal 'bell' character here
    // to actually make a system beep when a sound plays!
    // stdout.write('\x07');
  }

  @override
  void dispose() {}

  @override
  Future<void> debugSoundTest() async {
    return Future.value(null);
  }
}
